classification
Title: Incorrect keyword name in NNTP.starttls() documentation
Type: Stage: resolved
Components: Documentation Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: cmcp22, docs@python, iritkatriel, miss-islington, ned.deily, taleinat
Priority: normal Keywords: patch, patch, patch

Created on 2018-12-18 15:28 by cmcp22, last changed 2020-10-16 22:34 by taleinat. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 11310 merged harman786, 2018-12-25 04:05
PR 11416 merged miss-islington, 2019-01-02 21:05
PR 11417 merged miss-islington, 2019-01-02 21:05
Messages (6)
msg332066 - (view) Author: Colin McPhail (cmcp22) Date: 2018-12-18 15:28
The library documentation for nntplib.NNTP.starttls() says that it takes a keyword parameter called ssl_context. The source code referenced via the link at the top of the nntplib documentation shows the keyword is actually called context. The result is a TypeError if the documented name is used:
    TypeError: starttls() got an unexpected keyword argument 'ssl_context'
msg332896 - (view) Author: Tal Einat (taleinat) * (Python committer) Date: 2019-01-02 21:05
New changeset e9a044ec16989bd4b39763c0588c17200a925350 by Tal Einat (Harmandeep Singh) in branch 'master':
bpo-35525: Correct the argument name for NNTP.starttls() (GH-11310)
https://github.com/python/cpython/commit/e9a044ec16989bd4b39763c0588c17200a925350
msg332898 - (view) Author: miss-islington (miss-islington) Date: 2019-01-02 21:11
New changeset d7cb2034bbaa26170cdc66eb54626e3ce1b8678a by Miss Islington (bot) in branch '3.7':
bpo-35525: Correct the argument name for NNTP.starttls() (GH-11310)
https://github.com/python/cpython/commit/d7cb2034bbaa26170cdc66eb54626e3ce1b8678a
msg333922 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2019-01-18 01:07
New changeset 7887c02d3372ebe3b39379588364134521a36c4e by Ned Deily (Miss Islington (bot)) in branch '3.6':
bpo-35525: Correct the argument name for NNTP.starttls() (GH-11310) (GH-11417)
https://github.com/python/cpython/commit/7887c02d3372ebe3b39379588364134521a36c4e
msg378763 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2020-10-16 22:03
Can this be closed?
msg378774 - (view) Author: Tal Einat (taleinat) * (Python committer) Date: 2020-10-16 22:34
Indeed, this can be closed :)

Thanks for the report Colin, thanks for the PR Harmandeep, and thanks for the reminder to close this Irit!
History
Date User Action Args
2020-10-16 22:34:47taleinatsetstatus: open -> closed
messages: + msg378774

keywords: patch, patch, patch
resolution: fixed
stage: patch review -> resolved
2020-10-16 22:03:56iritkatrielsetnosy: + iritkatriel
messages: + msg378763
2019-01-18 01:07:41ned.deilysetnosy: + ned.deily
messages: + msg333922
2019-01-02 21:11:02miss-islingtonsetnosy: + miss-islington
messages: + msg332898
2019-01-02 21:09:37taleinatsetpull_requests: - pull_request10821
2019-01-02 21:09:31taleinatsetpull_requests: - pull_request10822
2019-01-02 21:09:27taleinatsetpull_requests: - pull_request10819
2019-01-02 21:09:22taleinatsetpull_requests: - pull_request10818
2019-01-02 21:06:11miss-islingtonsetpull_requests: + pull_request10821
2019-01-02 21:06:03miss-islingtonsetpull_requests: + pull_request10822
2019-01-02 21:05:57miss-islingtonsetpull_requests: + pull_request10819
2019-01-02 21:05:53miss-islingtonsetpull_requests: + pull_request10820
2019-01-02 21:05:49miss-islingtonsetpull_requests: + pull_request10818
2019-01-02 21:05:44miss-islingtonsetpull_requests: + pull_request10817
2019-01-02 21:05:27taleinatsetnosy: + taleinat
messages: + msg332896
2019-01-02 20:53:27taleinatsetpull_requests: - pull_request10555
2019-01-02 20:53:23taleinatsetpull_requests: - pull_request10554
2018-12-25 04:05:09harman786setkeywords: + patch
stage: patch review
pull_requests: + pull_request10555
2018-12-25 04:05:05harman786setkeywords: + patch
stage: (no value)
pull_requests: + pull_request10554
2018-12-25 04:05:00harman786setkeywords: + patch
stage: (no value)
pull_requests: + pull_request10553
2018-12-18 15:28:06cmcp22create